An AbstractMethodError is thrown when you attempt to call an abstract method.

### Hierarchy

- AbstractMethodError
  - AbstractMethodError
    - AbstractMethodError

## Index

### Constructors

- constructor

## Constructors

### constructor

- new AbstractMethodError(message?: string, id?: number): AbstractMethodError

- - Defined in lib/starling/errors/AbstractMethodError.d.ts:7

  Creates a new AbstractMethodError object.

  #### Parameters

  - ##### Optional message: string

  - ##### Optional id: number

  #### Returns AbstractMethodError

Generated using TypeDoc